Name:           python-trollius
Version:        2.1
Release:        %mkrel 9
Summary:        A port of the Tulip asyncio module to Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/haypo/trollius
Source0:        https://github.com/haypo/trollius/archive/trollius-%{version}.tar.gz
# async is a keyword in python 3.7, thus cannot be a function name
Patch0:         python-trollius-async.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Trollius provides infrastructure for writing single-threaded
concurrent code using coroutines, multiplexing I/O access over sockets
and other resources, running network clients and servers, and other
related primitives.

Trollius is a portage of the asyncio project (PEP 3156) on Python.

%package -n python3-trollius
Summary:	A port of the Tulip asyncio module to Python
Group:          Development/Python

%description -n python3-trollius
Trollius provides infrastructure for writing single-threaded
concurrent code using coroutines, multiplexing I/O access over sockets
and other resources, running network clients and servers, and other
related primitives.

Trollius is a portage of the asyncio project (PEP 3156) on Python.

%prep
%setup -qn trollius-trollius-%{version}
%autopatch -p0

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-trollius
%doc README.rst
%{python3_sitelib}/trollius/
%{python3_sitelib}/trollius-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 2.1-9.mga10
+ Revision: 2035994
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.1-8.mga9
+ Revision: 1823175
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 2.1-7.mga9
+ Revision: 1781539
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.1-6.mga9
+ Revision: 1732884
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.1-5.mga8
+ Revision: 1532676
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.1-4.mga8
+ Revision: 1442595
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 daviddavid <daviddavid> 2.1-3.mga7
+ Revision: 1355343
- add patch to fix build with Python 3.7
+ tmb <tmb>
- rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.1-2.mga7
+ Revision: 1290435
- Mageia 7 Mass Rebuild

* Sun Oct 29 2017 wally <wally> 2.1-1.mga7
+ Revision: 1174847
- imported package python-trollius

